## org.apache.poi.hssf.record.formula
Class NotEqualPtg

    java.lang.Object
      org.apache.poi.hssf.record.formula.Ptg
          org.apache.poi.hssf.record.formula.OperationPtg
              org.apache.poi.hssf.record.formula.NotEqualPtg

public class NotEqualPtg
extends OperationPtg

Ptg class to implement not equal

Author:
  fred at stsci dot edu

Field Summary
`static byte` `sid`
`static int` `SIZE`

Fields inherited from class org.apache.poi.hssf.record.formula.OperationPtg
`TYPE_BINARY, TYPE_FUNCTION, TYPE_UNARY`

Fields inherited from class org.apache.poi.hssf.record.formula.Ptg
`CLASS_ARRAY, CLASS_REF, CLASS_VALUE, ptgClass`

Constructor Summary
`NotEqualPtg()` Creates new NotEqualPtg
`NotEqualPtg(byte[] data, int offset)`

Method Summary
`java.lang.Object` `clone()`
`int` `getNumberOfOperands()` The number of operands expected by the operations
`int` `getSize()`
`int` `getType()`
`java.lang.String` `toFormulaString(java.lang.String[] operands)` returns a string representation of the operations the length of the input array should equal the number returned by
`java.lang.String` `toFormulaString(Workbook book)` return a string representation of this token alone
`void` `writeBytes(byte[] array, int offset)` write this Ptg to a byte array

Methods inherited from class org.apache.poi.hssf.record.formula.OperationPtg
`getDefaultOperandClass`

Methods inherited from class org.apache.poi.hssf.record.formula.Ptg
`createPtg, getBytes, getPtgClass, setClass, toDebugString, toString`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### SIZE

    public static final int SIZE

See Also:
  Constant Field Values

### sid

    public static final byte sid

See Also:
  Constant Field Values

Constructor Detail

### NotEqualPtg

    public NotEqualPtg()

  Creates new NotEqualPtg

### NotEqualPtg

    public NotEqualPtg(byte[] data,
                       int offset)

Method Detail

### writeBytes

    public void writeBytes(byte[] array,
                           int offset)

  Description copied from class: `Ptg`
  write this Ptg to a byte array

  Specified by:
    `writeBytes` in class `Ptg`

### getSize

    public int getSize()

  Specified by:
    `getSize` in class `Ptg`

### getType

    public int getType()

  Specified by:
    `getType` in class `OperationPtg`

### getNumberOfOperands

    public int getNumberOfOperands()

  Description copied from class: `OperationPtg`
  The number of operands expected by the operations

  Specified by:
    `getNumberOfOperands` in class `OperationPtg`

### toFormulaString

    public java.lang.String toFormulaString(Workbook book)

  Description copied from class: `Ptg`
  return a string representation of this token alone

  Specified by:
    `toFormulaString` in class `Ptg`

### toFormulaString

    public java.lang.String toFormulaString(java.lang.String[] operands)

  Description copied from class: `OperationPtg`
  returns a string representation of the operations the length of the input array should equal the number returned by

  Specified by:
    `toFormulaString` in class `OperationPtg`
  See Also:
    `OperationPtg.getNumberOfOperands()`

### clone

    public java.lang.Object clone()

  Specified by:
    `clone` in class `Ptg`

Copyright © 2003 Apache Software Foundation.